Subject: Re: bug#6642: Date manipulation is not working after patching our Centos 4.8 server

From: Bob Proulx <[email-masked]>
Date: Thu, 15 Jul 2010 22:20:20 -0600

Sandoval, Juan wrote:
> vhost01.dca.int: ~ % /usr/local/gnu/bin/date --date "7 days + 11-jul-2010"
> /usr/local/gnu/bin/date: invalid date `7 days + 11-jul-2010'

Thank you for the report.  Often here I might say something to the
effect that I can't recreate the problem.  But in this case I can't
recreate the success!  As far as I know that isn't the accepted
syntax.  It should be the other way around.  This would work for
example.

  date --date "11-jul-2010 + 7 days"

> However it works fine on our other server that we have not patched yet.
> 
> vhost01.vgs.int: ~ % % /usr/local/gnu/bin/date  --date "7 days + 11-jul-2010"
> Sun Jul 18 00:00:00 PDT 2010

Who am I to dispute an example such as that!

What are the versions of those two different date commands?

  /usr/local/gnu/bin/date --version

Is this a version of the coreutils that you compiled yourself or from
some other source?  GNU is all about the source.

Thanks

Bob